<?php
// Version: 2.0; GamerCard

function template_popup()
{
	global $context, $settings, $txt;

	// Since this is a popup of its own we need to start the html, etc.
	echo '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"', $context['right_to_left'] ? ' dir="rtl"' : '', '>
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=', $context['character_set'], '" />
		<meta name="robots" content="noindex" />
		<title>', $context['page_title'], '</title>
		<link rel="stylesheet" type="text/css" href="', $settings['theme_url'], '/css/index.css" />
		<script type="text/javascript" src="', $settings['default_theme_url'], '/scripts/script.js"></script>
	</head>
	<body id="help_popup">
		<div class="windowbg description">
			<div class="flow_hidden">';
	if (isset($context['gamer_sidebar']))
		echo '
				<span class="floatright" style="border-left: 1px solid #bbb;">
					', $context['gamer_sidebar'], '
				</span>';

	echo '
				<div style="text-align:center;padding:5px;border-bottom:1px solid #bbb;overflow:hidden;">
					', $context['gamercard'], '
				</div>';

	foreach($context['gamer_links'] as $link)
		echo '
				<div style="padding: 5px 10px;"><a href="javascript:window.open(\'', $link['url'], '\'); self.close();">', $link['text'], '</a></div>';

	echo '
			</div><br />
			<br />
			<a href="javascript:self.close();">', $txt['close_window'], '</a>
		</div>
	</body>
</html>';
}

?>